<ion-app>
  <ion-split-pane contentId="main-content">
    <ion-menu contentId="main-content" type="overlay">      
      <ion-content>
        <ion-list>
          <ion-item color="light" lines="none">            
            <ion-label>
              <h2 class="c-primary">Southcentral Hardware</h2>
              <p class="c-medium">10.28 ECommerce v{{_appVersion}}</p>
            </ion-label>            
          </ion-item>
          <ion-item color="medium" lines="none">
            <ion-icon slot="end" name="ios-contact"></ion-icon>
            <ion-label>
              <h2>{{currentUserDisplayName}}</h2>
            </ion-label>
            
          </ion-item>
          <ion-menu-toggle auto-hide="false" *ngFor="let p of appPages">
            <ion-item (click)="goto(p)" lines="none" color="light">
              <ion-icon slot="end" [name]="p.icon" color="medium"></ion-icon>
              <ion-label>
                {{p.title}}
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>

      <ion-footer>
        <ion-menu-toggle auto-hide="false">
          <ion-item (click)="logout()" lines="none" color="light">
            <ion-icon slot="end" name="ios-log-out" color="medium"></ion-icon>
            <ion-label color="danger">Logout</ion-label>
          </ion-item>
        </ion-menu-toggle>
      </ion-footer>
    </ion-menu>
    <ion-router-outlet id="main-content"></ion-router-outlet>
  </ion-split-pane>
</ion-app>
